#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libvdpau-va-gl-0.4.2

- Next

  libvpx-1.15.0

- Up
- Home

# libvorbis-1.3.7

## Introduction to libvorbis

The libvorbis package contains a general purpose audio and music encoding format. This is useful for creating (encoding) and playing (decoding) sound in an open (patent free) format.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://downloads.xiph.org/releases/vorbis/libvorbis-1.3.7.tar.xz

- Download MD5 sum: 50902641d358135f06a8392e61c9ac77

- Download size: 1.1 MB

- Estimated disk space required: 15 MB

- Estimated build time: 0.1 SBU

### libvorbis Dependencies

#### Required

libogg-1.3.5

#### Optional

Doxygen-1.13.2 and texlive-20240312 (or install-tl-unx) (specifically, pdflatex and htlatex) to build the PDF documentation

## Installation of libvorbis

Install libvorbis by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make -j1 check.

Now, as the `root` user:

    make install &&
    install -v -m644 doc/Vorbis* /usr/share/doc/libvorbis-1.3.7

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-docs`: This switch enables building the documentation in formats other than the supplied html.

## Contents

Installed Programs: None
Installed Libraries: libvorbis.so, libvorbisenc.so and libvorbisfile.so
Installed Directories: /usr/include/vorbis and /usr/share/doc/libvorbis-1.3.7

### Short Descriptions

`libvorbis.so` | provides the functions used to read and write sound files

- Prev

  libvdpau-va-gl-0.4.2

- Next

  libvpx-1.15.0

- Up
- Home